/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.1
 *  date    : May 1999
 *
 *  class name  : JSepRecord
 *  function    : Java recordtype for storing a sepplot record 
 *
 * A sepplot record as defined long ago in Sepran has by default 6 members:
 * TYPE(byte), X + Y(float), ANGLE (float), HEIGHT (float), NCHAR(byte)
 *
 *********************************************************************/

import java.io.Serializable;

final class JSepRecord
implements Serializable
{
   public byte type;
   public float xcrd;
   public float ycrd;
   public float angle;
   public float height;
   public byte  nchar;
   
   public String toString()
   {
      return ("Record:" + "TYPE=" + type + " (X,Y)=(" + xcrd + ","
	      + ycrd + ") ANGLE=" + angle + " HEIGHT=" + 
	      height + " NCHAR=" + nchar);
   }
}
