#
#  copyright.awk
#
#  write copyright part to file copyright.out and the rest to file rest.out
#
#  if ( found = 4 ) then
#     write rest to file rest.out
#  if ( found = 3 ) then
#     if ( $0 contains ******** ) then
#        found = 4
#  if ( found = 2 ) then
#     if  ( length($0) > 1 ) then
#         firstyear = substr($4,1,4)
#         print copyright part
#         found = 3
#  if ( found = 0 ) then
#     if ( second word is version ) then
#        found = 1
#  if ( found = 1 ) then
#     if ( length($0) = 1 ) then
#        found = 2
#     else
#        print version part
#
{  
   if ( found == 4 )

#     write rest to file rest.out

      {
       print $0 >> "rest.out"
       found = 4
      }

   if ( found == 3 )
      {if ( $0 ~ /\*\*\*\*\*\*\*\*/ )

#     --- $0 contains ********

         found = 4
      }
   if ( found == 2 )
      {
       if  ( length($0) > 1 )

#     --- length($0) > 1

          { firstyear = substr($4,1,4)

#           --- print copyright part
#               found = 3

            print "!" >> "copyright.out"
	    print "!   copyright (c)", firstyear "-2010  \"Ingenieursbureau SEPRA\"" >> "copyright.out"
	    print "!   permission to copy or distribute this software or documentation" >> "copyright.out"
	    print "!   in hard copy or soft copy granted only by written license" >> "copyright.out"
	    print "!   obtained from \"Ingenieursbureau SEPRA\"." >> "copyright.out"
	    print "!   all rights reserved. no part of this publication may be reproduced," >> "copyright.out"
	    print "!   stored in a retrieval system ( e.g., in memory, disk, or core)" >> "copyright.out"
	    print "!   or be transmitted by any means, electronic, mechanical, photocopy," >> "copyright.out"
	    print "!   recording, or otherwise, without written permission from the" >> "copyright.out"
	    print "!   publisher." >> "copyright.out"
	    print "! **********************************************************************" >> "copyright.out"
            found = 3
          }
      }
   if ( found == 0 )
      {if ( $2 ~ /[Vv]ersio/ )

#        --- version found

        found = 1

      }
   if ( found == 1 )
      if ( length($0) == 1 )
         {found = 2
	 }
      else

#     ---   print version part

         { 
	   if ( $2 ~ /[Vv]ersio/ )

#        --- version found

              {
	       versie = $3
               pos = index ( versie, "." )
               thisvermn = substr(versie,1,pos-1)
               thisversub = substr(versie,pos+1)
               pos = index ( $0, $5 )
	       l = length($0)
	       rest = substr($0,pos,l-pos+2)
               printf ("%-8s %7s %2d.%-2s %4s %s", "!","version",thisvermn, thisversub,"date",rest) >> "copyright.out"
               printf ("\n") >> "copyright.out"
              }
 
           else

#          --- next record found

              {pos = index($0,$2)
	       l = length($0)
	       rest = substr($0,pos,l-pos+2)
               printf ("%-38s %s", "!",rest) >> "copyright.out"
               printf ("\n") >> "copyright.out"
	      }
          }
}
