module sepmodulestoc

!  Parameters for stochastic investment

   integer :: ixstoc           ! Defines direction in 1d case (1=x, 2=y)

   double precision :: mu      ! Parameter mu (1D)
   double precision :: mux     ! Parameter mux (2D)
   double precision :: muy     ! Parameter muy (2D)
   double precision :: rho     ! Parameter rho (2D)
   double precision :: rstoc   ! Parameter r
   double precision :: sigma   ! Parameter sigma (1D)
   double precision :: sigmax  ! Parameter sigmax (2D)
   double precision :: sigmay  ! Parameter sigmay (2D)

end module sepmodulestoc
