      subroutine readbs ( numarr, iarray, ihelp )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  4.0  date 14-04-1999 Replace body by readbsbf
!        version  3.4  date 02-10-1997 new call of readb2
!        version  3.3  date 08-04-1995 New call to readb4
!        version  3.2  date 22-09-1993 JvdZ: Improve error mesg 384
!        version  3.1  date 14-11-1991 Improve error with type 120
!        version  3.0  date 01-03-1990 Complete revision
!        version  2.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  2.1  date 11-12-1989 Extension with type 120
!        version  2.0  date 19-12-1987 Make ibfree odd if necessary at output
!        version  1.0  date 02-07-1984
!
!   copyright (c) 1984-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    readbs reads array from backing storage
!
! **********************************************************************
!
!                       KEYWORDS
!
!     backing_storage
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numarr, iarray(*), ihelp(*)

!    iarray    o   Integer array containing information of the array that has
!                  been read
!    ihelp     i   Second integer user array, depending on the first one
!    numarr    i   Array number with respect to the index in common cfile2
!                  for array KMESH
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
!     READBSBF  Actual body of READBS
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readbs' )
      call readbsbf ( ibuffr, buffer, numarr, iarray, ihelp )
      call erclos ( 'readbs' )
      end
