      function asklet( charac )
! ======================================================================
!
!        programmer   Guus Segal
!        version 1.4   date 26-12-1998 Include commons
!        version 1.3   date 23-02-1996 save commons
!        version 1.2   date 10-02-1994 New comments
!
!   copyright (c) 1989-1998 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   Check if character is a letter or another type of symbol
!
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     read
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character * 1 charac
      logical asklet

!    asklet  o   Indication if the character is a letter (true) or not (false)
!    charac  i   The character to be checked
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iasc

!    iasc    Integer representation of character
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      iasc = ichar(charac)

      if ( iasc>=65 .and. iasc<=90 .or. charac=='_' ) then

!     --- 65 <= iasc <= 90:  Capital letter

         asklet = .true.

      else

         asklet = .false.

      end if

      end
