      subroutine mshr22
! ======================================================================
!
!        programmer   Guus Segal
!        version 1.0  date   22-08-1994
!
!
!
!   copyright (c) 1994-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    Remove centroid points in 5-point elements in array kmeshclc
!
! ********************************************************************
!
!                      KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulemesh
      implicit none
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer ielem, k

!     ielem   Element number
!     k       Counting variable
! ********************************************************************
!
!                    SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!

      do 110 ielem = 2, nelemlc
         do 100 k = 1, inpelm-1
            kmeshclc((ielem-1)*(inpelm-1)+k) = kmeshclc((ielem-1)*inpelm+k)
100      continue
110   continue
      npointlc = npointlc - nelemlc
      end
