      subroutine mshv02(ivier,i1,i2,i3,i4,i5,i6,kmeshc,coor,npt,c)
      implicit double precision (a-h,o-z)
      integer kmeshc(*)
      double precision coor(*), c(*)
!
! **********************************************************************
!
!
!         programmer   niek praagman
!         version 1.1  date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 1    date  26-03-1984
!
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
      izeven=0
   2  continue
      x1=coor(2*i1-1)
      x2=coor(2*i2-1)
      x3=coor(2*i3-1)
      x4=coor(2*i4-1)
      x5=coor(2*i5-1)
      x6=coor(2*i6-1)
      y1=coor(2*i1)
      y2=coor(2*i2)
      y3=coor(2*i3)
      y4=coor(2*i4)
      y5=coor(2*i5)
      y6=coor(2*i6)
      call mshg01(x6,y6,x1,y1,x2,y2,cs)
      c(2)=cs
      call mshg01(x1,y1,x2,y2,x3,y3,cs)
      c(3)=cs
      call mshg01(x2,y2,x3,y3,x4,y4,cs)
      c(4)=cs
      call mshg01(x3,y3,x4,y4,x5,y5,cs)
      c(5)=cs
      call mshg01(x4,y4,x5,y5,x6,y6,cs)
      c(6)=cs
      call mshg01(x5,y5,x6,y6,x1,y1,cs)
      c(7)=cs
      c(8)=c(2)
      c(1)=c(7)
      j=0
      ih=0
      do 10 i=2,7
          if (c(i).gt.-0.85d0) goto 10
          ih=ih+1
          j=i-1
  10  continue
      if (ih.eq.0) goto 200
      if (ih.eq.3) goto 300
      if (ih.eq.1) goto 400
      if (ih.eq.2) goto 500
      call ertrap('mesh  (mshg  mshv02)',351,1,0,0,0)
      call instop
 200  continue
!  *  regelmatige zeshoek : (geval 1)
      xs=(x1+x2+x3+x4+x5+x6)/6d0
      ys=(y1+y2+y3+y4+y5+y6)/6d0
      npt=npt+1
      coor(2*npt-1)=xs
      coor(2*npt)=ys
      call mshv01(ivier,i1,i2,i3,npt,kmeshc)
      call mshv01(ivier,i3,i4,i5,npt,kmeshc)
      call mshv01(ivier,i5,i6,i1,npt,kmeshc)
      return
 300  continue
      if (izeven.eq.1) goto 340
!  *  drie hoeken van circa 180 graden
!  *  (geval 6 , 7  of 8)
      if (j.lt.6) goto 310
      call mshv03(i1,i2,i3,i4,i5,i6)
      goto 2
 310  continue
      if (j.lt.5) goto 320
!  *  test of het geval (8) is
      if (c(4).gt.-0.85d0) goto 320
      if (c(2).gt.-0.85d0) goto 320
!  *  geval 8 :  1 3  en 5 zijn 180 graden
      xs1=(x1+x3+x5)/3d0
      ys1=(y1+y3+y5)/3d0
      npt=npt+1
      coor(2*npt-1)=xs1
      coor(2*npt)=ys1
      call mshv01(ivier,i1,i2,i3,npt,kmeshc)
      call mshv01(ivier,i3,i4,i5,npt,kmeshc)
      call mshv01(ivier,i5,i6,i1,npt,kmeshc)
      return
 320  continue
!  *  test of het geval 6 is
      if (c(j).gt.-0.85d0) goto 340
      if (c(j-1).gt.-0.85d0) goto 340
!  *  geval 6 : 3 opeenvolgende
      if (j.eq.4) goto 360
      call mshv03(i1,i2,i3,i4,i5,i6)
      goto 2
 340  continue
!  *  geval 7 :  2 resp 1 hoek van 180 graden
      izeven=1
      if (c(5).lt.-0.85d0) goto 350
      call mshv03(i1,i2,i3,i4,i5,i6)
      goto 2
 350  continue
      if (c(4).lt.-0.85d0) goto 355
      call mshv03(i1,i2,i3,i4,i5,i6)
      goto 2
 355  continue
!  *  verdeel
      xs1=(x1+x3+x4)/3d0
      ys1=(y1+y3+y4)/3d0
      xs2=(x3+x4+x6)/3d0
      ys2=(y3+y4+y6)/3d0
!  *  punt 1
      npt=npt+1
      n1=npt
      coor(2*n1-1)=xs1
      coor(2*n1)=ys1
!  *  punt 2
      npt=npt+1
      n2=npt
      coor(2*n2-1)=xs2
      coor(2*n2)=ys2
      call mshv01(ivier,i1,i2,i3,n1,kmeshc)
      call mshv01(ivier,i3,i4,n2,n1,kmeshc)
      call mshv01(ivier,i4,i5,i6,n2,kmeshc)
      call mshv01(ivier,i6,i1,n1,n2,kmeshc)
      return
 360  continue
!  *  j=4 precies goed
      xc=(x2+x3)/2d0
      yc=(y2+y3)/2d0
      xd=(x3+x4)/2d0
      yd=(y3+y4)/2d0
      xs1=(x6+xc)/2d0
      ys1=(y6+yc)/2d0
      xs2=(x6+xd)/2d0
      ys2=(y6+yd)/2d0
      xs3=(2*x3+x6)/3d0
      ys3=(2*y3+y6)/3d0
!  *  punt 1
      npt=npt+1
      n1=npt
      coor(2*n1-1)=xs1
      coor(2*n1)=ys1
!  *  punt 2
      npt=npt+1
      n2=npt
      coor(2*n2-1)=xs2
      coor(2*n2)=ys2
!  *  punt 3
      npt=npt+1
      n3=npt
      coor(2*n3-1)=xs3
      coor(2*n3)=ys3
      call mshv01(ivier,i1,i2,n1,i6,kmeshc)
      call mshv01(ivier,i6,n1,n3,n2,kmeshc)
      call mshv01(ivier,i6,n2,i4,i5,kmeshc)
      call mshv01(ivier,i2,i3,n3,n1,kmeshc)
      call mshv01(ivier,i3,i4,n2,n3,kmeshc)
      return
 400  continue
!  *  een hoek van circa 180 graden
!  *  (geval 2 )
!  *  deel zeshoek door " midden"
      if (j.gt.3) j=j-3
      if (j.eq.2) goto 410
      if (j.eq.3) goto 420
!  *  j=1 verbind 1 en 4
      call mshv01(ivier,i1,i2,i3,i4,kmeshc)
      call mshv01(ivier,i4,i5,i6,i1,kmeshc)
      return
 410  continue
!  *  j=2 verbind 2 en 5
      call mshv01(ivier,i2,i3,i4,i5,kmeshc)
      call mshv01(ivier,i5,i6,i1,i2,kmeshc)
      return
 420  continue
!  *  j=3 verbind 3 en 6
      call mshv01(ivier,i3,i4,i5,i6,kmeshc)
      call mshv01(ivier,i6,i1,i2,i3,kmeshc)
      return
 500  continue
!  *  twee hoeken van circa 180 graden
!  *  (geval 3  ,  4  of 5)
      if (j.lt.4) goto 600
      if (c(j-2).gt.-0.85d0) goto 600
!  *  geval 4   : 4 * 90 graden en
!  *  2 * 180
      goto 400
 600  continue
      if (c(j).gt.-0.85d0) goto 700
!  *  geval (3) : 2 opeenvolgende hoeken van
!  *  circa 180 graden
!  *  maak j gelijk aan drie
      if (j.eq.1) goto 610
      if (j.eq.2) goto 620
      if (j.eq.4) goto 630
      if (j.eq.5) goto 640
      if (j.eq.6) goto 650
      goto 660
 610  continue
!  *  2 - vooruit
      ih3=i3
      ih2=i2
      i3=i1
      i2=i6
      i1=i5
      i6=i4
      i5=ih3
      i4=ih2
      goto 2
 620  continue
!  *  1  vooruit
      ih=i3
      i3=i2
      i2=i1
      i1=i6
      i6=i5
      i5=i4
      i4=ih
      goto 2
 630  continue
!  *  1 achteruit
      ih=i1
      i1=i2
      i2=i3
      i3=i4
      i4=i5
      i5=i6
      i6=ih
      goto 2
 640  continue
!  *  2 achteruit
      ih1=i1
      ih2=i2
      i1=i3
      i2=i4
      i3=i5
      i4=i6
      i5=ih1
      i6=ih2
      goto 2
 650  continue
!  *  3 achteruit ?
      if (c(2).lt.-0.85d0) goto 610
      ih=i1
      i1=i4
      i4=ih
      ih=i2
      i2=i5
      i5=ih
      ih=i3
      i3=i6
      i6=ih
      goto 2
!  *  gehernummerd
 660  continue
!  *  j=3 verdeel
      xs1=(x1+x2+x5+x6)/4d0
      ys1=(y1+y2+y5+y6)/4d0
      xs2=(x3+x4+x5+x6)/4d0
      ys2=(y3+y4+y5+y6)/4d0
!  *  punt 1
      npt=npt+1
      n1=npt
      coor(2*n1-1)=xs1
      coor(2*n1)=ys1
!  *  punt 2
      npt=npt+1
      n2=npt
      coor(2*n2-1)=xs2
      coor(2*n2)=ys2
!  *  leg vier vierhoeken
      call mshv01(ivier,i1,i2,n1,i6,kmeshc)
      call mshv01(ivier,i2,i3,n2,n1,kmeshc)
      call mshv01(ivier,i3,i4,i5,n2,kmeshc)
      call mshv01(ivier,i5,i6,n1,n2,kmeshc)
!  *  klaar voor deze situatie
      return
 700  continue
!  *  geval  (5) : 180  90  180  90  90  90
      if (j.eq.6) goto 710
      call mshv03(i1,i2,i3,i4,i5,i6)
      goto 2
 710  continue
      if (c(3).lt.-0.85) goto 720
      call mshv03(i1,i2,i3,i4,i5,i6)
      goto 2
 720  continue
!  *  j=6 verdeel
      xs1=(x1+x2+x4+x6)/4d0
      ys1=(y1+y2+y4+y6)/4d0
      npt=npt+1
      coor(2*npt-1)=xs1
      coor(2*npt)=ys1
      call mshv01(ivier,i1,i2,npt,i6,kmeshc)
      call mshv01(ivier,i2,i3,i4,npt,kmeshc)
      call mshv01(ivier,i4,i5,i6,npt,kmeshc)
      return
      end
