      subroutine msh301(kb,kc,bcord,coor)

! =======================================================================
!
!
!        programmer   niek praagman
!
!        version 2.0  date    28-09-1993 New norms
!        version 1.1  date    22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0  date    03-12-1984
!
!
!
!   copyright (c) 1984-1993  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ***********************************************************************
!
!     Place all points as given in BCORD in array COOR
!
! ***********************************************************************
!
!     KEYWORDS
!
!     3d
!     mesh_generation
!     regular
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer kb, kc
      double precision bcord(3,*), coor(3,*)

!     bcord     i   array with coordinates of boundary points for all
!                   six surfaces
!
!     coor      o   coordinates array
!
!     kb        i   nodal point number in the local numbering
!                   of bcord
!
!     kc        i   nodal point number in the global numbering
!                   of coor (corresponding to kb)
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     trivial
!
! =======================================================================

!     Fill bcord in in COOR

      coor( 1, kc ) = bcord( 1, kb )
      coor( 2, kc ) = bcord( 2, kb )
      coor( 3, kc ) = bcord( 3, kb )

      end
