      subroutine elm303
      use sepmodulebuild
      use sepmoduleelm
      use sepmodulebasefn
      use sepmodulecactl
      implicit none
!
! ********************************************************************
!
!        programmer   Guus Segal
!        version   1.2  date   27-06-1992 Minor change in call to elflr0
!        version   1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version   1    date   03-03-1988
!
!
!
!   copyright (c) 1988,1992  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     fill element matrix and element vector for point element for
!     elasticity-flow interaction  (bearing)
!     one-dimensional elements
!
! ********************************************************************
!
!     itype=303 :    flow input
!
! ********************************************************************
!
!                            input / output
!
!    index1  o   see to0000
!
!
! ********************************************************************
!
      double precision :: qz
      integer :: indloc
!
! ********************************************************************
!
      ipos = E%iuser(ielgrp+5)
      if ( ipos.lt.7 ) call ertrap('system  elm303',42,16,ielgrp+5,ipos, &
               0)
      m = 1
      n = 1
      ncomp = 1
      nuser = 0
      call elusr0(indloc,mst,qz,E%iuser,E%user)
      if ( indloc.gt.0 ) call elflr0(1,indloc,mst,E%user, &
           qz,coor(1,index1(1)),qz,index1,qz,index1)
      E%vec(1) = 0d0
      E%vec(2) = 0d0
      E%vec(3) = qz
      notmat = 1
      end
