!    ***************************************************************
!    *
!    *  COMPPROGRAM: THRUST BEARING ON ELASTIC TRACK
!    *  usage: comp < in.prb
!    *
!    ***************************************************************
!
      program ctbtrk
      call startsepcomp
      end

      function userbool( ichoice)
      use sepmodulecons
      implicit none
      logical userbool
      integer ichoice

      double precision oldscal1
      data oldscal1 /1.0d5/
      save oldscal1

      if (ichoice .eq. 100) then
        scalars(3) = abs(1.0-scalars(1)/oldscal1)
        oldscal1 = scalars(1)
        if (scalars(3) .le. scalars(2)) then
          userbool = .FALSE.
        else
          userbool = .TRUE.
        end if
      end if

      end

      subroutine funcvect( ichoice, ndim, coor, numnodes, uold,
     +                     nuold, result, nphys)

      implicit none
      integer ichoice, ndim, numnodes, nuold, nphys
      double precision coor(ndim,numnodes),
     +  uold(numnodes,nphys,nuold), result(numnodes,*)

!     coor(1/2/3, *) = node co-ordinates
!     uold(*, 1/2/3, 1) = displacement vector (ex, ey, ez)
!     uold(*, 1, 2) = contact plane height

      integer i
      double precision z_coor, z_disp, h_contact

      if (ichoice .eq. 100) then
        do i = 1, numnodes
          z_coor = coor(3,i)
          z_disp = uold(i,3,1)
          h_contact = uold(i,1,2)
          result(i,1) = h_contact - (z_coor + z_disp)
        end do
      end if

      end
