      program magnet
      call startsepcomp
      end
      subroutine funcc2 ( ichois, x, y, z, graphi, alpha, dalpha )
      integer ichois
      double precision x, y, z, graphi, alpha, dalpha

!     The formula for nu(|b|) can be found in
!     R. Glowinski and A. Marocco
!     Analyse numerique du champ magnetique d'un alternateur par
!     element finis et sur-relaxation ponctuelle non lineaire
!     Computer Methods in applied mechanics and engineering 3 (1974), 55-85

      double precision co1, co2, anu, fac, grap

      co1    = 3d-4
      co2    = 1.6d4
      anu    = 7.9577471d5
      grap   = abs(graphi)
      fac    = grap**8
      alpha  = anu*(co1+(1d0-co1)*fac/(fac+co2))
      dalpha = 8d0*anu*(1d0-co1)*co2*(grap**7)/((fac+co2)*(fac+co2))
      end
