      program gravity
      call startsepcomp
      end

!     --- Function funccf is used to define variable coefficients
!         in this case it concerns the value of the pressure
!         at the outflow boundary
!         Mark that g has a negative sign
!         The pressure is defined by rho g (1-y)

      function funccf(ichois,x,y,z)
      use sepmodulecons
      implicit none
      integer ichois
      double precision funccf,x,y,z

      double precision rho, g
      rho = rlcons(2)
      g = rlcons(4)
      funccf=rho*g*(1-y)
      end
