      program examwave2
      call startsepcomp
      end

!     --- function func for the initial condition

      function func ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision func, x, y, z
      integer ichoice

      func =  cos(t) * ( x + 3d0 * y )

      end


!     --- function funccf for the right-hand side:

      function funccf ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision funccf, x, y, z
      integer ichoice

      funccf = -cos(t) * ( x + 3d0 * y )

      end


!     --- function funcbc for essential boundary conditions


      function funcbc ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision funcbc, x, y, z
      integer ichoice

      funcbc = cos(t) * ( x + 3d0 * y )

      end

