      subroutine systm2 ( ichois, imass, iprobb, matr, intmatlc, kmeshlc, &
                          kproblc, irhsdlc, massmtr, iusol, iuserloc, &
                          userloc, numld1, islold, ielhlp )
      use sepmoduleuser
      use sepmodulekprob
      use sepmodulekmesh
      use sepmodulemain
      use sepmoduleintmat
      use sepmodulesmf
      implicit none
      integer ichois, irhsdlc(*), &
              iusol(*), islold(*), ielhlp(*), imass, &
              iprobb, numld1
      integer, target :: intmatlc(*), massmtr, matr(2), kmeshlc, &
                         kproblc, iuserloc(*)
      integer :: iinbldlc(nbld+1000), k, ihelp, nelgrptot
      double precision, target :: userloc(*)
      call eropen ( 'systm2' )

      stiffmat => matr
      massmat => massmtr
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      iuser => iuserloc(1:iuserloc(1))
      user => userloc(1:nint(userloc(1)))
      call sepfillkmesh(kmesh)

      iinbldlc(1) = nbld
      iinbldlc(2:nbld) = 0
      intmat => intmatlc(1)
      call to0048 ( ichois, iinbldlc, ielhlp, ihelp )
      iinbldlc(4)  = imass
      iinbldlc(9)  = iprobb
      iinbldlc(10) = numld1
      iinbldlc(12) = 1
      iinbldlc(13) = 1
      iseqkp = kprob
      kprobloc => kp(iseqkp)%kprobsub(iprob)%kprobloc
      if ( ihelp==6 ) then
         nelgrptot = nelgrp+kprobloc(12)  ! nelgrptot+numnat
         iinbldlc(nbld+1:nbld+nelgrptot) = ielhlp(6:5+nelgrptot)
      end if  ! ( ihelp==6 )
      isubcall = 4
      call sepfillsmf ( iinbldlc, irhsdlc, &
                        iusol, islold )
      call sepbuild
      call erclos ( 'systm2' )
      end subroutine systm2
