      subroutine to0018 (kmeshc,index1)
! ======================================================================
!
!        programmer    Jaap van der Zanden
!        version  1.3  date 18-08-1994 New layout
!        version  1.2  date 22-12-1992 expl. decl.
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 25-06-1984
!
!   copyright (c) 1984-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      fill index1 (pointer to coordinates of element) from kmeshc
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cactlf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshc(*), index1(*)

!     index1  o    Array of length inpelm containing the point numbers
!                  of the nodal points in the element
!     kmeshc  i    kmesh part c, contains the nodal points corresponding to the
!                  elements.
!                  it is supposed that kmeshc(1) corresponds with the first
!                  point of the current element ielem
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer j

!     j       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do 100 j=1,inpelm
         index1(j)=kmeshc(j)
100   continue

      end
