      subroutine instop
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 20-03-2003 Move everything to finish
!        version  1.5  date 24-10-2001 Extension with mpi
!        version  1.4  date 20-04-1999 Inlcude commons
!        version  1.3  date 26-11-1995 Close plotfile if necessary
!        version  1.2  date 30-11-1992 Close of file 3 if necessary;
!                                      call of finish
!        version  1.1  date 21-11-1992 introduction of version number
!
!   copyright (c) 1992-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     This subroutine is used to stop the SEPRAN program
!     If necessary it may be provided with file closing statements
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     FINISH         Stop SEPRAN
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   if ( file 3 is not scratch file ) then
!      Close file 3
!   Close SEPRAN
!   stop
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call finish(0)
      stop
      end
