      subroutine priincurves (iinput, rinput, iinp, irinp  )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), iinp, irinp
      double precision rinput(*)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ncurvs, icurnr, icurve, ifirst, ih
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ncurvs = iinput(3)
      write(irefwr,100)
100   format(' Information of curves: iinput' )
      do icurnr = 1, ncurvs
         ifirst = iinp
         icurve = iinput(iinp)
         call msh046 ( iinput, iinp, icurve )
         ih = min(ifirst+9,iinp-1)
         write(irefwr,110) icurnr, (iinput(i), i=ifirst,ih)
110      format(i4,':  ', (10i6/))
         if ( iinp-ifirst.gt.10 ) then
            write(irefwr,120) (iinput(i), i=ih+1,iinp-1)
120         format(7x, 10i6)
         end if
      end do
      write(irefwr,130)
130   format(' Information of curves: factors,t0 and t1' )
      do icurnr = 1, ncurvs
         write(irefwr,140) icurnr, rinput(icurnr+irinp-1), &
                           rinput(2*icurnr-1+irinp-1+ncurvs), &
                           rinput(2*icurnr+irinp-1+ncurvs)
140      format(i4,':  ', 3d15.6 )
      end do
      irinp = irinp+3*ncurvs
      end
