      subroutine sep2dtrian ( ibuffer2d, leng1 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 10-06-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Make a reference of the 2d array ibuffer2d to the pointer trian2d
!
! **********************************************************************
!
!                       KEYWORDS
!
!     pointer
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleint2d
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: leng1
      integer, target :: ibuffer2d(3,leng1)

!     ibuffer2d      i    array to which the pointer must be referred
!     leng1          i    second dimension of array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      trian2d => ibuffer2d
      end subroutine sep2dtrian
