      subroutine mshd10(kmeshc,npt,nelem,inpelm)
      implicit none
!
! ********************************************************************
!
!
!        programmer   niek praagman
!
!        version 1.1  date   03-05-1990 new programming rules
!
!
!
!   copyright (c) 1982-1990  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
! *   rearrange array kmeshc in case of a mesh of old structure but
! *   with a new boundary and inpelm is 8 or 9
!
! **********************************************************************
! * &
! *   GLOBAL parameters
! * &
      integer kmeshc(*),npt,nelem,inpelm
! * &
! *   kmeshc   i   array containing nodal point numbers which
! *                form 8 or 9 node elements
! *   npt      o   at output highest nodal point number of corner points
! *   nelem    i   number of elements in the mesh
! *   inpelm   i   number of points in element (8 or 9)
! * &
! ****************************************************************
!
! *   LOCAL variables
! * &
      integer i,j,i1,i2,i3,i4
! * &
! *****************************************************************
! * &
! *   clear arrays iwork and jwork
! * &
      npt = 0
! * &
      do 100 i = 1 , nelem
! * &
          j = inpelm*(i-1)
! * &
          i1   =   kmeshc(j+1)
          i2   =   kmeshc(j+3)
          i3   =   kmeshc(j+5)
          i4   =   kmeshc(j+7)
! * &
          j    =  4 * (i-1)
! * &
          kmeshc(j+1) = i1
          kmeshc(j+2) = i2
          kmeshc(j+3) = i3
          kmeshc(j+4) = i4
! * &
          if (i1.gt.npt) npt=i1
          if (i2.gt.npt) npt=i2
          if (i3.gt.npt) npt=i3
          if (i4.gt.npt) npt=i4
! * &
100   continue
! * &
      end
