      subroutine pr0014(coor,npoint,ndim)
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.1  date 04-04-1990  New type format
!        version  1.0  date 22-05-1985
!
!   copyright (c) 1985-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      print co-ordinates of points
!      one point per row
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision coor(*)
      integer ndim, npoint

!     coor      i   array containing the co-ordinates
!     ndim      i   dimension of space
!     npoint    i   number of points in coor
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, j

!     i          Counting variable
!     istart     First position used at a part
!     j          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      istart=0
      do 200 i=1,npoint
         write(irefwr,100) i,(coor(istart+j),j=1,ndim)
100      format(1x,i6,':',3(ss,1pe12.5e2))
         istart=istart+ndim
200   continue
      end
