      subroutine dscal(n, da, dx, incx)
!
!        version 1.1    date   22-08-1991 (Zdenek: no dimension, cdc, ce)
!
!     replace double precision dx by double precision da*dx.
!     for i = 0 to n-1, replace dx(1+i*incx) with  da * dx(1+i*incx)
!
      implicit double precision (a-h,o-z)
      double precision dx(*)
      if (n.le.0) return
      if (incx.eq.1) go to 20
!
!        code for increments not equal to 1.
!
      ns = n*incx
      do 10 i=1,ns,incx
         dx(i) = da*dx(i)
   10 continue
      return
!
!        code for increments equal to 1.
!
!
!        clean-up loop so remaining vector length is a multiple of 5.
!
   20 m = mod(n,5)
      if (m.eq.0) go to 40
      do 30 i=1,m
         dx(i) = da*dx(i)
   30 continue
      if (n.lt.5) return
   40 mp1 = m + 1
      do 50 i=mp1,n,5
         dx(i) = da*dx(i)
         dx(i+1) = da*dx(i+1)
         dx(i+2) = da*dx(i+2)
         dx(i+3) = da*dx(i+3)
         dx(i+4) = da*dx(i+4)
   50 continue
      return
      end
