      program opgave4_4_1
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function func ( ifunc, x, y, z )
      implicit none
      integer ifunc
      double precision func, x, y, z
      double precision umax, R
      double precision getconst

      R = getconst ('R')
      umax = getconst ('umax')

      select case ( ifunc )
      case(1)

!     --- ux inner tube

         func = -umax/R**2*(x-R)*(x+R)

      case default

!     --- Option not programmed yet

         call errchr ( 'func', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end

      function funcbc ( ifunc, x, y, z )
      use sepmoduleconsts
      implicit none
      integer ifunc
      double precision funcbc, x, y, z

      select case ( ifunc )
      case(1)

!     --- c

         funcbc = cos(2*pi*(y+0.25d0))

      case default

!     --- Option not programmed yet

         call errchr ( 'funcbc', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
