      use sepmoduleoldrouts
      implicit double precision (a-h,o-z)
      integer :: kmesh,kprob,iwork(20), intmat,matr,isol,
     v           irhsd,iuser(100)
      double precision :: user(100),contln(20),work(20)
!
      contln(1)=20
      iuser(1)=100
      user(1)=100
      kmesh=0
      kprob=0
      intmat=0
      matr=0
      isol=0
      irhsd=0
      contln(3)=0
      iuser(3)=0
      user(3)=0
!
      call sepstr ( kmesh, kprob, intmat )
      ichois=0
      idim=2
      value=0
      icrv1=1
      icrv2=1
      idegfd=1
      jstap=0
      call bvalue(ichois,idim,kmesh,kprob,isol,value,icrv1,icrv2,idegfd,
     v            jstap)
      icrv1=4
      icrv2=4
      call bvalue(ichois,idim,kmesh,kprob,isol,value,icrv1,icrv2,idegfd,
     v            jstap)
!
!    *  essential boundary conditions on C1 and C4
!
      iwork=0
      work=0
      work(6)=1
      work(9)=1
      ielgrp=1
      iparm=20
      call fil100(ielgrp,iuser,user,kprob,iparm,iwork,work)
!
!    *  f = 0   and poisson equation
!       i.e.  a11=1  a12=0  a22=1   u1=u2=0   beta=0
!
      iwork=0
      work=0
      iwork(7)=1
      ibngrp=1
      call fil101(ibngrp,iuser,user,kprob,iparm,iwork,work)
!
!    *  curve 2
!       sigma=0   h=y
!
      iwork(7)=2
      work(6)=1
      ibngrp=2
      call fil101(ibngrp,iuser,user,kprob,iparm,iwork,work)
!
!    *  curve 3
!       sigma=1   h=2x
!
      ichois=1
      call systm0(ichois,matr,intmat,kmesh,kprob,irhsd,isol,iuser,user,
     v            islold,ielhlp)
      ipos=1
      call solve(ipos,matr,isol,irhsd,intmat,kprob)
!
!    *  matrix is positive definit
!
      layout=3
      number=0
      call prinrv(isol,kmesh,kprob,layout,number,'solution')
!
!   *  plot contour lines at level 0 , 0.1 , 0.2 , . . . , 1
!
      do 200 i=1,11
200      contln(i+5)=(i-1)*0.1
!
      number=1
      ncntln=11
      plotfm=20
      yfact=1
      jsmoot=0
      call plotc1(number,kmesh,kprob,isol,contln,ncntln,plotfm,yfact,
     v            jsmoot)
      istop=0
      call finish(istop)
      end
!
!
!    *   function funccf for the definition of the coefficients
!
!
      function funccf(ichois,x,y,z)
      implicit double precision (a-h,o-z)
!
      if(ichois.eq.1) then
!
!    *  du /dn = y
!
      funccf=y
      else
!
!    *  u + du/dn = 2x
!
      funccf=2*x
      endif
      end
