      subroutine deriv ( inpder, ioutvc, kmeshlc, &
                         kproblc, inpvec, iuserloc, userloc )
      use sepmoduleuser
      use sepmodulesmf
      use sepmodulemnsub
      use sepmodulemain
      use sepmodulebuild
      double precision, target :: userloc(*)
      integer :: inpder(*)
      integer, target :: kmeshlc, kproblc, inpvec(*), ioutvc, &
                         iuserloc(*)
      integer :: i, idummy(1)
      double precision dummy(1)
      integer, allocatable :: iskpel(:)
      double precision :: timebefore(2)
      call eropen ( 'deriv' )
      if ( itime>0 ) call ersettime ( timebefore )

      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      call sepfillkmesh(kmesh)
      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      isolut2d => inpvec(1:maxvec)
      isolut => isolut2d(1)
      iuser => iuserloc(1:iuserloc(1))
      user => userloc(1:nint(userloc(1)))

!     --- Fill array iinput by values given by the user
!         Fill array iinder and iskpel

      allocate ( iskpel(nelgrp), stat = error )
      if ( error/=0 ) call eralloc ( error, nelgrp, 'iskpel' )
      if ( ierror/=0 ) go to 1000

!     --- Fill array iinder

      iinder = 0
      iinder(4:7) = 1
      length = min(inpder(1),leniinder)
      iinder(1:length) = inpder(1:length)
      if ( iinder(10)/=0 ) then

!     --- Copy part skipel

         iinder(12) = leniinder+1
         iskpel = inpder(16:15+nelgrp)

      else

!     --- Set part skipel to 1

         iskpel = 1

      end if
      iinder(10) = 1
      iinder(11) = 1
      iinder(1) = 3

      call sepfillsmf1 ( isolut2d, maxvec )

      SMF%ioutvc => ioutvc
      call to0100 ( iskpel, idummy )

      deallocate ( iskpel, stat = error )
      if ( error/=0 ) call erdealloc ( error, 'iskpel' )

      if ( meshnr<1 .or. meshnr>maxmesh ) meshnr = 1
      isolut2d => isolut3d(:,meshnr)
      kprob => kprob2d(meshnr)

1000  call erclmn ( 'deriv', timebefore )
      end subroutine deriv
