      subroutine eigval ( eval, nr, ivec, istiff, intmatlc, imas, intmt2, &
                          kproblc, icheig )
      use sepmodulemain
      implicit none
      integer, intent(in) :: nr, istiff, imas, intmt2, kproblc, icheig(*)
      integer, target, intent(in) :: intmatlc
      integer, intent(inout) :: ivec(*)
      double precision, intent(out) :: eval(*)
      double precision eps
      call eropen ( 'eigval' )
      if ( icheig(5).le.-2 ) then
         eps = 10d0**icheig(5)
      else
         eps = 1d-5
      end if
      intmat => intmatlc
      kprob2d(1) = kproblc
      kprob => kprob2d(1)

      call sepfillkprob

      call sepfillmatstr
      call prinlg('eval',-5-nr,eval,eval)
      if ( ierror/=0 ) go to 1000
      call sepeigval ( eval(6), nr, ivec, istiff, &
                       imas, icheig, eps )
1000  call erclos ( 'eigval' )
      end subroutine eigval
